# class Hpricot::BlankSlate

BlankSlate provides an abstract base class with no predefined methods (except for `_\send_` and `_\id_`). BlankSlate is useful as a base class when writing classes that depend upon `method_missing` (e.g. dynamic proxies).

### Public Class Methods

hide(name) click to toggle source

Hide the method named `name` in the BlankSlate class. Don't hide `instance_eval` or any method beginning with “__”.

    # File lib/hpricot/blankslate.rb, line 22
    def hide(name)
      undef_method name if
        instance_methods.include?(name.to_s) and
        name !~ /^(__|instance_eval)/
    end